## RENAME SYNONYM-Anweisung (rename_synonym_statement)

Die RENAME SYNONYM-Anweisung (rename_synonym_statement) ändert den Namen eines Synonyms.

### Syntax

<rename_synonym_statement> ::=
RENAME [PUBLIC] SYNONYM <old_synonym_name> TO <new_synonym_name>

<old_synonym_name> ::= <synonym_name>
<new_synonym_name> ::= <synonym_name>

### Erläuterung

Der alte Synonymname old_synonym_name muss vom aktuellen Benutzer erzeugt worden sein.

Wenn PUBLIC angegeben ist, dann muss das alte Synonym als PUBLIC definiert sein.

Es darf keine Tabelle des aktuellen Benutzers mit dem neuen Synonymnamen new_synonym_name existieren.